Subject: Re: bug#22993: Potential fix/workaround for 22993

From: Aaron Jensen <[email-masked]>
Date: Fri, 2 Jul 2021 10:43:38 -0700

On Thu, Jul 1, 2021 at 1:47 PM Alan Third <[email-masked]> wrote:
>
> On Wed, Jun 15, 2016 at 09:35:24PM +0100, Alan Third wrote:
> > "Aaron Jensen" <[email-masked]> writes:
> >
> > > There are at least two ways to fix this, one is to disable app nap
> > > entirely. You can add this to Info.plist.in:
> > >
> > > +  <key>LSAppNapIsDisabled</key>
> > >  +    <string>True</string>
> >
> > Are you able to provide a patch for this? I've tried but it doesn't seem
> > to make any difference, so I expect I'm doing something wrong.
>
> Hi Aaron,
>
> I know this is ancient, and I don't know if it's still relevant any
> more, but I've discovered that after making a change to Info.plist you
> have to run:
>
> /System/Library/Frameworks/CoreServices.framework/Frameworks/LaunchServices.framework/Support/lsregister
> -v -f nextstep/Emacs.app
>
> for it to take.
>
> I have no idea what that is doing.
>
> I found it while trying to work out how to fix PATH issues with native
> compilation and running Emacs from Finder.

Interesting, thanks. I'm not even sure what I'm doing for this now. I
haven't had this problem in a while, so we must have fixed it along
the way.